<?php

function qcpnd_check_for_shortcode($posts) {
    if ( empty($posts) )
        return $posts;
 
    // false because we have to search through the posts first
    $found = false;

    // search through each post
    foreach ($posts as $post) {
        // check the post content for the short code
        if ( stripos($post->post_content, 'qcpnd-directory') )
            // we have found a post with the short code
            $found = true;
            // stop the search
            break;
        }
 
    if ($found){
       //Load Script and Stylesheets
       add_action('wp_enqueue_scripts', 'qcpnd_load_all_scripts');
    }

    return $posts;
}

//perform the check when the_posts() function is called
add_action('the_posts', 'qcpnd_check_for_shortcode');


function qcpnd_load_all_scripts(){

	//Scripts
	wp_enqueue_script( 'jquery', 'jquery');
    wp_enqueue_script( 'qcpnd-grid-packery', qcpnd_ASSETS_URL . '/js/packery.pkgd.js', array('jquery'));
	

	//StyleSheets
	wp_enqueue_style( 'qcpnd-custom-css', qcpnd_ASSETS_URL . '/css/directory-style.css');
	wp_enqueue_style( 'qcpnd-custom-rwd-css', qcpnd_ASSETS_URL . '/css/directory-style-rwd.css');
	wp_enqueue_style( 'qcpnd-fontawesome-rwd-css', qcpnd_ASSETS_URL . '/css/font-awesome.min.css');
	
	$mapapi = 'AIzaSyBACyZ4vA8pQybj9ZdZP-J5zQHqfQkqOXY';
	if(get_option('sbd_map_api_key')!=''){
		$mapapi = get_option('sbd_map_api_key');
	}
	
	
	wp_enqueue_script( 'qcopd-google-map-script','https://maps.google.com/maps/api/js?key='.$mapapi.'&libraries=geometry,places', null, null, false );
	wp_enqueue_script( 'qcpnd-custom-script', qcpnd_ASSETS_URL . '/js/directory-script.js', array('jquery', 'qcpnd-grid-packery'));
}

add_action('admin_enqueue_scripts', 'qc_phone_directory_admin_css');
function qc_phone_directory_admin_css(){
	wp_enqueue_style( 'qcpnd-custom-css', qcpnd_ASSETS_URL . '/css/admin-style.css');
	
	$mapapi = 'AIzaSyBACyZ4vA8pQybj9ZdZP-J5zQHqfQkqOXY';
	if(get_option('sbd_map_api_key')!=''){
		$mapapi = get_option('sbd_map_api_key');
	}
	
	wp_enqueue_script( 'qcopd-google-map-script','https://maps.google.com/maps/api/js?key='.$mapapi.'&libraries=geometry,places', null, null, false );
	
	wp_enqueue_style( 'jq-slick.css-css', qcpnd_ASSETS_URL . '/css/slick.css');
	wp_enqueue_style( 'jq-slick-theme-css', qcpnd_ASSETS_URL . '/css/slick-theme.css', array(), '1.0.1');
	wp_enqueue_script( 'jq-slick.min-js', qcpnd_ASSETS_URL . '/js/slick.min.js', array('jquery'));
	wp_enqueue_script( 'sbd_custom_scrpt_admin', qcpnd_ASSETS_URL . '/js/qcpd-admin-common.js', array('jquery'));
}
